diff --git a/project/Deserializer/src/io/IZipReader.java b/project/Deserializer/src/io/IZipReader.java
index 91d0649..39a3cb9 100644
--- a/project/Deserializer/src/io/IZipReader.java
+++ b/project/Deserializer/src/io/IZipReader.java
@@ -2,9 +2,28 @@ package io;
 
 import java.io.IOException;
 
+/**
+ * Interface, which is implemented by ZipInStream and InflaterInStream, is used
+ * to easily load files in two different ZIP formats - shorter and clearer code
+ * in FileWorker.extractFileContent().
+ */
 public interface IZipReader {
 
+	/**
+	 * Reads the next byte of data from the input stream.
+	 * 
+	 * @return the next byte of data, or -1 if the end of the stream is reached.
+	 * 
+	 * @throws IOException if an I/O error has occurred.
+	 */
 	public int read() throws IOException;
+
+	/**
+	 * Closes this input stream and releases any system resources associated with
+	 * the stream.
+	 * 
+	 * @throws IOException if an I/O error has occurred.
+	 */
 	public void close() throws IOException;
-	
+
 }
diff --git a/project/Deserializer/src/io/InflaterInStream.java b/project/Deserializer/src/io/InflaterInStream.java
index 4b6cd70..884e9c2 100644
--- a/project/Deserializer/src/io/InflaterInStream.java
+++ b/project/Deserializer/src/io/InflaterInStream.java
@@ -6,25 +6,38 @@ import java.io.InputStream;
 import java.util.zip.Inflater;
 import java.util.zip.InflaterInputStream;
 
+/**
+ * An instance of this class is used to read special ZIP files that are created
+ * using Inflater.
+ */
 public class InflaterInStream extends FilterInputStream implements IZipReader {
 
+	/**
+	 * The instance needed to read the archive correctly.
+	 */
 	private Inflater inflater;
 
+	/**
+	 * Initializes the inflater and the special ZIP input stream.
+	 * 
+	 * @param in input stream.
+	 */
 	public InflaterInStream(InputStream in) {
 		super(null);
 		inflater = new Inflater();
 		this.in = new InflaterInputStream(in, inflater);
 	}
 
+	@Override
 	public int read() throws IOException {
 		return in.read();
 	}
 
+	@Override
 	public void close() throws IOException {
 		try {
 			super.close();
-		}
-		finally {
+		} finally {
 			if (inflater != null) {
 				inflater.end();
 			}
diff --git a/project/Deserializer/src/io/ZipInStream.java b/project/Deserializer/src/io/ZipInStream.java
index 66810eb..b796acf 100644
--- a/project/Deserializer/src/io/ZipInStream.java
+++ b/project/Deserializer/src/io/ZipInStream.java
@@ -6,19 +6,40 @@ import java.util.NoSuchElementException;
 import java.util.zip.ZipInputStream;
 
 /**
- * For ZIP - the first four bytes should be one of the following
- * combinations: 50 4B 03 04
- * 				 50 4B 05 06 (empty archive)
- * 				 50 4B 07 08 (spanned archive)
- * Source: https://en.wikipedia.org/wiki/List_of_file_signatures
+ * <p>
+ * An instance of this class is used to read files in a classic ZIP.
+ * 
+ * <p>
+ * Note: <br>
+ * for ZIP - the first four bytes should be one of the following combinations:
+ * 
+ * <ul>
+ * <li>50 4B 03 04</li>
+ * <li>50 4B 05 06 (empty archive)</li>
+ * <li>50 4B 07 08 (spanned archive)</li>
+ * </ul>
+ * 
+ * <p>
+ * <a href="https://en.wikipedia.org/wiki/List_of_file_signatures">source</a>
  */
 public class ZipInStream implements IZipReader {
-	
+
+	/**
+	 * Input stream for ZIP file.
+	 */
 	private ZipInputStream zipIS;
-	
+
+	/**
+	 * Initializes the ZIP input stream and check if the file contains any ZIP
+	 * element.
+	 * 
+	 * @param in input stream.
+	 * 
+	 * @throws IOException if an I/O error has occurred or if no ZIP element exists.
+	 */
 	public ZipInStream(InputStream in) throws IOException {
 		zipIS = new ZipInputStream(in);
-		
+
 		if (zipIS.getNextEntry() == null) {
 			zipIS.close();
 			throw new NoSuchElementException();
